Reservation Detail Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.momorooms.com/doc/gh-reservation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "GH Reservation MCP server": {
    "url": "https://developers.momorooms.com/doc/gh-reservation/mcp"
  }
}

Close
POST /v1/reservations/detail

API to retrieve details the reservations for given criteria.

application/json

Body object Required

Request to fetch reservation list. Only one filter criteria can be provided at a time: partnerReservationIds, reservationIds, check-in date range (checkInFrom & checkInTo), or booking date range (bookedFrom & bookedTo).

One of:

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • reservations array[object]

      List of reservation details.

      Hide reservations attributes Show reservations attributes object

      Detailed reservation response returned when showDetails is true. Fields returned vary based on bookingStatus: - Booked: returns all fields including bookingAmount, roomStays. Does not return cancelDate or refundAmount. - Cancelled: returns cancelDate, refundAmount and bookingAmount. Does not return roomStays.

      • partnerReservationId string

        Reservation ID from the partner side for reference.

      • reservationId integer(int64)

        momorooms reservation ID.

      • bookDate string(date-time)

        Date and time when the reservation was booked.

      • cancelDate string(date)

        Date when the reservation was cancelled. Present only when bookingStatus is Cancelled.

      • bookingAmount number

        Total booking amount. Present for both Booked and Cancelled statuses.

      • refundAmount number

        Amount to be refunded. Present only when bookingStatus is Cancelled.

      • currency string

        Currency code for the booking/refund amount.

      • bookingStatus string

        Current status of the reservation (e.g. Booked, Cancelled).

      • roomStays array[object]

        List of room stays with cancel penalty details. Present only when bookingStatus is Booked.

        Hide roomStays attributes Show roomStays attributes object

        Room stay details including cancellation penalty windows.

        • id integer(int32)

          Unique ID for the room stay.

        • cancelPenalties array[object]

          List of cancellation penalty windows applicable to this room stay.

          Hide cancelPenalties attributes Show cancelPenalties attributes object

          Defines a cancellation penalty window with applicable dates and penalty amount.

          • penaltyStartDate string(yyyy-MM-dd'T'HH:mm:ssXXX)

            Start date of the penalty window in the format (yyyy-MM-dd).

          • penaltyEndDate string(yyyy-MM-dd'T'HH:mm:ssXXX)

            End date of the penalty window in the format (yyyy-MM-dd).

          • penaltyAmount number

            Penalty amount applicable within this window.

          • currency string

            Currency code for the penalty amount.

      • checkInDate string(date)

        Check-in date in the format (yyyy-MM-dd).

      • checkOutDate string(date)

        Check-out date in the format (yyyy-MM-dd).

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        3001Reservation does not exist

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500 An unexpected error occurred. Please try again later.

POST /v1/reservations/detail
curl \
 --request POST 'https://qa-partner.momorooms.com/v1/reservations/detail' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"partnerReservationIds":["string"]}'
Request examples
{
  "partnerReservationIds": [
    "string"
  ]
}
{
  "reservationIds": [
    42
  ]
}
{
  "checkInStartDate": "2026-05-04",
  "checkInEndDate": "2026-05-04"
}
{
  "bookingStartDate": "2026-05-04",
  "bookingEndDate": "2026-05-04"
}
Response examples (200)
{
  "reservations": [
    {
      "partnerReservationId": "string",
      "reservationId": 42,
      "bookDate": "2026-05-04T09:42:00Z",
      "cancelDate": "2026-05-04",
      "bookingAmount": 42.0,
      "refundAmount": 42.0,
      "currency": "string",
      "bookingStatus": "string",
      "roomStays": [
        {
          "id": 42,
          "cancelPenalties": [
            {
              "penaltyStartDate": "string",
              "penaltyEndDate": "string",
              "penaltyAmount": 42.0,
              "currency": "string"
            }
          ]
        }
      ],
      "checkInDate": "2026-05-04",
      "checkOutDate": "2026-05-04"
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}